tabs:
    fields:
        content:
            type: hint
            path: $/rainlab/builder/behaviors/indexpluginoperations/partials/_plugin-update-hint.htm
            tab: rainlab.builder::lang.plugin.tab_general
            context: [update]

        name:
            span: left
            label: rainlab.builder::lang.plugin.field_name
            required: true
            tab: rainlab.builder::lang.plugin.tab_general

        author:
            span: right
            label: rainlab.builder::lang.plugin.field_author
            tab: rainlab.builder::lang.plugin.tab_general
            required: true

        namespace:
            context: [create]
            span: left
            label: rainlab.builder::lang.plugin.field_plugin_namespace
            commentAbove: rainlab.builder::lang.plugin.field_namespace_description
            tab: rainlab.builder::lang.plugin.tab_general
            required: true
            preset:
                field: name
                type: namespace

        author_namespace:
            context: [create]
            span: right
            label: rainlab.builder::lang.plugin.field_author_namespace
            commentAbove: rainlab.builder::lang.plugin.field_author_namespace_description
            tab: rainlab.builder::lang.plugin.tab_general
            required: true
            preset:
                field: author
                type: namespace

        icon:
            type: dropdown
            label: rainlab.builder::lang.plugin.field_icon
            commentAbove: rainlab.builder::lang.common.field_icon_description
            tab: rainlab.builder::lang.plugin.tab_general

        description:
            label: rainlab.builder::lang.plugin.field_description
            type: textarea
            size: tiny
            tab: rainlab.builder::lang.plugin.tab_description

        homepage:
            label: rainlab.builder::lang.plugin.field_homepage
            tab: rainlab.builder::lang.plugin.tab_description